Name:          python-cycler
Version:       0.10.0
Release:       3mamba
Summary:       mathplotlib libraty - composable cycles
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/matplotlib/cycler
Source:        https://github.com/matplotlib/cycler/archive/v%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(six)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n cycler-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/cycler-%{version}-py*.egg-info
%{python_sitearch}/cycler-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.0-3mamba
- rebuilt with distdeps

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.0-2mamba
- rebuilt with python3 3.7.4

* Mon Jul 18 2016 Davide Madrisan <davide.madrisan@gmail.com> 0.10.0-1mamba
- package created by autospec